summaryrefslogtreecommitdiffstats
path: root/src/etc/pfSense-rc.shutdown
diff options
context:
space:
mode:
authorRenato Botelho <renato@netgate.com>2016-06-01 08:02:04 -0300
committerRenato Botelho <renato@netgate.com>2016-06-01 08:02:04 -0300
commit92323161d44be5140dc0f7cd38bddc6d410ffe37 (patch)
tree01a21d7fd58a65607db7030b6166455a38171126 /src/etc/pfSense-rc.shutdown
parent1464554932197a04cb35702196d3b2407956e618 (diff)
downloadpfsense-92323161d44be5140dc0f7cd38bddc6d410ffe37.zip
pfsense-92323161d44be5140dc0f7cd38bddc6d410ffe37.tar.gz
Rename /etc/rc(.shutdown) -> /etc/pfSense-rc(.shutdown) and stop overlapping FreeBSD-src files
Diffstat (limited to 'src/etc/pfSense-rc.shutdown')
-rwxr-xr-xsrc/etc/pfSense-rc.shutdown39
1 files changed, 39 insertions, 0 deletions
diff --git a/src/etc/pfSense-rc.shutdown b/src/etc/pfSense-rc.shutdown
new file mode 100755
index 0000000..0c4962a
--- /dev/null
+++ b/src/etc/pfSense-rc.shutdown
@@ -0,0 +1,39 @@
+#!/bin/sh
+
+if ! /usr/bin/lockf -s -t 30 /tmp/config.lock /usr/bin/true; then
+ echo "Cannot shutdown at this moment, a config write operation is in progress and 30 seconds have passed."
+ exit -1
+fi
+
+# Read product_name from $g, defaults to pfSense
+product=$(/usr/local/sbin/read_global_var product_name pfSense)
+
+echo
+echo "${product} is now shutting down ..."
+echo
+
+stty status '^T'
+
+# Set shell to ignore SIGINT (2), but not children;
+trap : 2
+
+HOME=/; export HOME
+PATH=/sbin:/bin:/usr/sbin:/usr/bin
+export PATH
+
+# If PLATFORM is $product then remove
+# temporary files on shutdown from /tmp/
+PLATFORM=`cat /etc/platform`
+if [ "$PLATFORM" = "${product}" ]; then
+ find -x /tmp/* -type f -exec rm -f {} \; >/dev/null 2>&1
+fi
+
+USE_MFS_TMPVAR=$(/usr/local/sbin/read_xml_tag.sh boolean system/use_mfs_tmpvar)
+DISK_NAME=`/bin/df /var/db/rrd | /usr/bin/tail -1 | /usr/bin/awk '{print $1;}'`
+DISK_TYPE=`/usr/bin/basename ${DISK_NAME} | /usr/bin/cut -c1-2`
+# If we are not on a full install, or if the full install wants RAM disks, or if the full install _was_ using RAM disks, but isn't for the next boot...
+if [ "${PLATFORM}" != "${product}" ] || [ "${USE_MFS_TMPVAR}" = "true" ] || [ "${DISK_TYPE}" = "md" ]; then
+ /etc/rc.backup_aliastables.sh
+ /etc/rc.backup_rrd.sh
+ /etc/rc.backup_dhcpleases.sh
+fi
OpenPOWER on IntegriCloud